Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.elementparsers
Class HtmlMessageInterpreter

    java.lang.Object
      com.google.gwt.uibinder.elementparsers.HtmlMessageInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    public class HtmlMessageInterpreter

extends java.lang.Object
implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Processes elements inside HTML values, which themselves are allowed to contain HTML. That HTML may hold elements with ui:field attributes and computed attributes, which must be replaced by placeholders in the generated message.

Nested Class Summary
`static interface` | `HtmlMessageInterpreter.PlaceholderInterpreterProvider` Provides instances of `PlaceholderInterpreter`, to allow customized handling of the innards of a msg element.

Constructor Summary
`HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter, HtmlMessageInterpreter.PlaceholderInterpreterProvider phiProvider)` Build a HtmlMessageInterpreter that uses customized placeholder interpreter instances.
`HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter, java.lang.String ancestorExpression)` Build a normally configured HtmlMessageInterpreter, able to handle put placeholders around dom elements with ui:ph attributes and computed attributes.

Method Summary
`java.lang.String` | `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageInterpreter

    public HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter,
                                  HtmlMessageInterpreter.PlaceholderInterpreterProvider phiProvider)

  Build a HtmlMessageInterpreter that uses customized placeholder interpreter instances.

### HtmlMessageInterpreter

    public HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter,
                                  java.lang.String ancestorExpression)

  Build a normally configured HtmlMessageInterpreter, able to handle put placeholders around dom elements with ui:ph attributes and computed attributes.

Method Detail

### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

  Specified by:
    `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
  Throws:
    `UnableToCompleteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD